WESNOTHD(6)

NAMN
wesnothd - Kampen om Wesnoths nätverksdaemon

SYNOPSIS
wesnothd [-dv] [-c sökväg] [-p port] [-t antal] [-T antal]
wesnothd -V

BESKRIVNING
Manages Battle for Wesnoth multiplayer games. See http://www.wesnoth.org/wiki/ServerAdministration on what commands the server accepts via the wesnoth client (/query ...) or the fifo.

FLAGGOR

-c sökväg, --config sökväg
    anger var wesnothd skall leta efter konfigurationsfilen. Se avsnittet om SERVERKONFIGURATION nedan för syntaxen. Konfigurationen laddas om när signalen SIGHUP skickas till serverprocessen.

-d, --daemon
    kör wesnothd som en daemon.

-h, --help
    visar en sammanfattning av möjliga kommandoradsflaggor.

--log-nivå=domän1,domän2,...
    anger allvarlighetsgraden för loggdomänerna. För att se allt kan all användas. Möjliga nivåer: error, warning, info,debug. Standardnivå är error och info för server-domänen.

-p port, --port port
    knyter servern till den specificerade porten. Om ingen port anges så används port 15000.

-t antal, --threads antal
    anger maximalt antal väntande trådar för nätverkstrafik (standardvärde: 5, max: 30).

-T antal, --max-threads antal
    anger maximalt antal trådar som skapas för nätverkstrafik. Om 0 anges sätts ingen övre gräns (standardvärde: 0).

-V, --version
    visar versionen.

-v, --verbose
    ger mer utförlig information.

SERVERKONFIGURATION

  Den allmänna syntaxen är:

[tag]

    parameter="värde"

    parameter="värde,värde,..."

[/tag]

  Globala parametrar:

ban_save_file
    Full or relative path to a (gzip compressed) file that the server can read and write. Bans will be saved to this file and read again on server start.

connections_allowed
    Antal tillåtna anslutningar från samma IP-adress. 0 betyder oändligt många. (standardvärde: 5)

disallow_names
    Spelarnamn som ej accepteras av servern. '*' och '?' är tillåtna för att matcha flera tecken. Se glob(7) för detaljer. Standardvärden (som används om inget anges) är *admin*,*admln*,*server*,ai,ai?,computer,human,network,player.

fifo_path
    The path to the fifo you can echo server commands into (same as /query ... from wesnoth). If not specified defaults to the compile-time specified path (default: /var/run/socket/wesnothd/socket).

max_messages
    Antal tillåtna meddelanden inom messages_time_period (standardvärde: 4).

messages_time_period
    Tidsperioden (i sekunder) under vilken meddelandeöversvämning detekteras (standardvärde: 10 sekunder).

motd
    Meddelandet för dagen.

passwd
    Lösenordet för administrationsrättigheter. Börjar ofta med `admin '.

restart_command
    The command that the server uses to start a new server process via the `restart' command. (Can only be issued via the fifo.)

versions_accepted
    En komma-separerad lista med versionssträngar som accepteras av servern. '*' och '?' är tillåtna för att matcha flera tecken. (Standardvärdet är aktuell version av Wesnoth.)
    Exempel: versions_accepted="*" accepterar alla versionssträngar.

  Globala taggar:

[redirect] En tag som anger vart en server skall omdirigera vissa klientversioner.

    host
        Värdadressen att omdirigera till.

    port
        Porten att ansluta till.

    version
        En komma-separerad lista av versioner att omdirigera. Fungerar på samma sätt som versions_accepted vad gäller strängmatchning.

[ban_time] A tag to define convenient keywords for temporary ban time lengths.

    name
        The name used to reference the ban time.

    time
        The time length definition. The format is: %d[%s[%d%s[...]]] where %s is s (seconds), m (minutes), h (hours), D (days), M (months) or Y (years) and %d is a number. If no time modifier is given minutes (m) are assumed. Example: time="1D12h30m" results in a ban time of 1 day, 12 hours and 30 minutes.

[proxy] En tag som anger att servern skall agera som proxy och vidarebefordra klientförfrågningar till den angiva servern. Accepterar samma parametrar som [redirect].

FÖRFATTARE
Skriven av David White <davidnwhite@verizon.net>. Redigerad av Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> och Soliton <soliton.de@gmail.com>. Denna manualsida skrevs ursprungligen av Cyril Bouthors <cyril@bouthors.org>.
Besök den officiella hemsidan: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2007 David White <davidnwhite@verizon.net>
Detta är fri mjukvara; denna mjukvara är licensierad under GPL version 2, såsom publicerad av Free Software Foundation. INGEN garanti ges; inte ens för SÄLJBARHET eller LÄMPLIGHET FÖR ETT VISST SYFTE.

SE ÄVEN
wesnoth(6), wesnoth_editor(6)